# makefile -- makefile for gwaves miscellanies directory.
# Copyright (C) 2026 Gerardo Ballabio
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# @configure_input@

prefix = ${DESTDIR}@prefix@

AC = makefile gwaves.desktop
BAK = *~

MENU = gwaves.desktop
ICON = gwaves.png
APPDATA = gwaves.appdata.xml

default :

# other targets
clean :
	- rm -f ${BAK}
distclean : clean
	- rm -f ${AC}

install :
	mkdir -p ${prefix}/share/applications
	cp ${MENU} ${prefix}/share/applications
	mkdir -p ${prefix}/share/pixmaps
	cp ${ICON} ${prefix}/share/pixmaps
	mkdir -p ${prefix}/share/metainfo
	cp ${APPDATA} ${prefix}/share/metainfo
uninstall :
	cd ${prefix}/share/applications && rm -f ${MENU}
	cd ${prefix}/share/pixmaps && rm -f ${ICON}
	cd ${prefix}/share/metainfo && rm -f ${APPDATA}

# dependencies
